<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>KruCoin - Register</title>

  <!-- Custom fonts for this template-->
  <link href="{{ url_for('static', filename = 'vendor/fontawesome-free/css/all.min.css') }}" rel="stylesheet"
    type="text/css">

  <!-- Custom styles for this template-->
  <link href="{{ url_for('static', filename = 'css/sb-admin.css')}}" rel="stylesheet" type="text/css">



</head>

<body class="bg-light">

  <div class="container">
    <div class="card card-register mx-auto mt-5">
      <div class="card-header">Register an Account</div>
      <div class="card-body">
        <form method="POST" , action="">
          {{ form.hidden_tag() }}

          <div class="form-group">
            {% if form.name.errors %}
            {{ form.name(class="form-control form-control-lg is-invalid") }}

            <div class="invalid-feedback">
              {% for error in form.name.errors %}
              <span> {{ error }} </span>
              {% endfor %}
            </div>
            {% else %}
            {{ form.name(class="form-control form-control-lg")}}
            {% endif %}
          </div>

          <div class="form-group">
            {% if form.username.errors %}
            {{ form.username(class="form-control form-control-lg is-invalid") }}

            <div class="invalid-feedback">
              {% for error in form.username.errors %}
              <span> {{ error }} </span>
              {% endfor %}
            </div>
            {% else %}
            {{ form.username(class="form-control form-control-lg")}}
            {% endif %}
          </div>
          <div class="form-group">
            {% if form.email.errors %}
            {{ form.email(class="form-control form-control-lg is-invalid") }}

            <div class="invalid-feedback">
              {% for error in form.email.errors %}
              <span> {{ error }} </span>
              {% endfor %}
            </div>
            {% else %}
            {{ form.email(class="form-control form-control-lg")}}
            {% endif %}
          </div>
          <div class="form-group">
            {% if form.password.errors %}
            {{ form.password(class="form-control form-control-lg is-invalid") }}

            <div class="invalid-feedback">
              {% for error in form.password.errors %}
              <span> {{ error }} </span>
              {% endfor %}
            </div>
            {% else %}
            {{ form.password(class="form-control form-control-lg")}}
            {% endif %}
          </div>

          <div class="form-group">
            {% if form.confirmPassword.errors %}
            {{ form.confirmPassword(class="form-control form-control-lg is-invalid") }}

            <div class="invalid-feedback">
              {% for error in form.confirmPassword.errors %}
              <span> {{ error }} </span>
              {% endfor %}
            </div>
            {% else %}
            {{ form.confirmPassword(class="form-control form-control-lg")}}
            {% endif %}
          </div>

          <div class="form-group">
            {{ form.submit(class="btn btn-primary btn-block") }}
          </div>
        </form>
        <div class="text-center">
          <a class="d-block small mt-3" href="{{ url_for('login') }}">Already Have An Account?</a>
        </div>
      </div>
    </div>
  </div>

  <!-- Bootstrap core JavaScript-->

  <script type="text/javascript" src="{{ url_for('static', filename = 'vendor/jquery/jquery.min.js') }}"></script>

  <script type="text/javascript"
    src="{{ url_for('static', filename = 'vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>

  <!-- Core plugin JavaScript-->
  <script type="text/javascript"
    src="{{ url_for('static', filename = 'vendor/jquery-easing/jquery.easing.min.js') }}"></script>



</body>

</html>